#!/bin/sh -f

a= . install2-init-functions
. shell-quote
. shell-config

SLAPD_CONF_DIR="$destdir/etc/openldap"
LDAP_SYSCONFIG="$destdir/etc/sysconfig/ldap"

enable_schema()
{
    local samba="$(quote_sed_regexp "/etc/openldap/schema/samba3.schema")"
    local kerberos="$(quote_sed_regexp "/etc/openldap/schema/kerberos.schema")"
    local conf="$SLAPD_CONF_DIR/slapd.conf"

    sed -i -r -e "s,^[[:space:]]*#[[:space:]]*include[[:space:]]+$samba,include\t\t$samba\ninclude\t\t$kerberos\n," "$conf"
}

enable_server()
{
    local LDAP_CONF="$SLAPD_CONF_DIR/ldap.conf"
    local url="ldap:///"

    shell_config_set "$LDAP_SYSCONFIG" SLAPDURLLIST "\"'$url'\""
    shell_config_set "$LDAP_CONF" URI "$url" ' ' ' '
}

enable_schema
enable_server
